
-- direct UI elements referenced in XML
KARMAAVENK_LOCUI_MODLFM = KARMAAVENK_LOCUI_MODLFM or {};
KARMAAVENK_LOCUI_MODLFM["enUS"] =
{
	LFM_TITLE = KARMA_ITSELF_COLONSPACE .. "Looking...",
	LIST1_TITLE = "Players online",
	POPULATE_TITLE = "Populate list...",
	LIST2_TITLE = "Players selected",

	SENDMESS_TITLE = "next send also to this player",
	SENTMESS_TITLE = "already sent a message",
	POSREPLY_TITLE = "got a positive reply",

	MESSAGE_TO_SEND_TOOLTIP =	   "This is the message to be sent by the button [\"Send messages\"].\n"
						.. "%t in the text will be replaced with the actual receiver's name.\n"
						.. "(\"Hello %t!\" is sent to Joe as \"Hello Joe!\")\n"
						.. "If you selected an (offline) alt as candidate, additionally %a\n"
						.. "in the text will be replaced with the requested alt's name.\n"
						.. "(\"Hello %t, we need you as %a!\" is sent to Joe playing Jack as\n"
						.. " \"Hello Jack, we need you as Joe!\")",
	SENDMESS_TOOLTIP =	   "If this box is checked,\n"
					.. "the message (at the bottom)\n"
					.. "is also sent to this player\n"
					.. "the next time you click\n"
					.. "[\"Send messages\"]",
	SENTMESS_TOOLTIP = "This box gets *automatically* checked,\n"
								.. "after you sent the player a message here.",
	POSREPLY_TOOLTIP = "If this box is checked,\n"
								.. "this player gets invited\n"
								.. "to your group when you click\n"
								.. "[\"Invite players\"]\n"
								.. "(Only possible if:\n"
								.. "you are the leader and\n"
								.. "the group isn't full yet).",

	QUERYNOTESPUB_BTNTITLE = "Query public notes",

	SEND_TITLE  = "Sends to all players\nchecked \"send\"",
	SENDMESSAGE_BTNTITLE = "Send messages",

	INVITE_TITLE  = "Invites players\nchecked \"pos. reply\"",
	INVITE_BTNTITLE = "Invite players",

	POPULATE_CHANNEL_TITLE = "Check channel for players:",
	POPULATE_CHANNELS_TITLE = "Check all channels for players",
	POPULATE_LEVEL_TITLE = "Level range (class(es)/role checks) :",
	POPULATE_CLASS_TITLE = "Check class/role for players:",
	POPULATE_CLASSES_TITLE = "Check all classes for players\n!! THIS TAKES A LONG WHILE !!\n(about 2m30s permanent /who-ing)",
	POPULATE_GUILD_TITLE = "Check guild:",

	FILTERLIST1_TITLE = KARMA_WINEL_FILTER,
	FILTERLIST1_KARMAMIN_TITLE = "min. " .. KARMA_ITSELF .. KARMA_WINEL_FRAG_COLONSPACE,
	FILTERLIST1_KARMAREQ_TITLE = "Only players " .. KARMA_ITSELF .. " knowns\n(= with " .. KARMA_ITSELF .. " value)",
	FILTERLIST1_SKILLMIN_TITLE = "min. Skill: ",
	FILTERLIST1_CLASSREQ_TITLE = "Class must be known\n(= no grey entries)",
	FILTERLIST1_LEVELRANGE_TITLE = "Level range: ",

	LFMALTS = "+Alts",
};

local	oTableUI = KARMAAVENK_LOCUI_MODLFM["enUS"];

-- indirect UI elements referenced in LUA
KARMAAVENK_LOC_MODLFM = KARMAAVENK_LOC_MODLFM or {};
KARMAAVENK_LOC_MODLFM["enUS"] = {};

local	oTable = KARMAAVENK_LOC_MODLFM["enUS"]; 
oTable.FRAMES_HELP = oTable.FRAMES_HELP or {};
oTable.FRAMES_HELP.Help_KW2_List1_Frame =
	{
		"Help to: " .. oTableUI["LIST1_TITLE"],
		"This shows the list of players currently found online.",
		"~",
		KARMA_ITSELF .. " needs to 'find' the players first, so you'll want",
		"to start with the '" .. oTableUI["POPULATE_TITLE"] .. "' button.",
		"~",
		"Then validate your filter options, especially the level range.",
		"(The level range from the '" .. oTableUI["POPULATE_TITLE"] .. "' dialog does NOT carry over!)",
		"~",
		"If you've filled the list, clicking on a name selects it into the list",
		"to the right as potential candidate.",
		"~",
		"Players which were seen (by " .. KARMA_ITSELF .. ") in the " .. KARMA_CHANNELNAME_LFG .. " channel",
		"less than 5 mins ago are marked with a green timer, others are yellow."
	};

oTable.FRAMES_HELP.Help_KW2_PopulateWindow_Frame =
	{
		"Help to: '" .. oTableUI["POPULATE_TITLE"] .. "' dialog",
		"This dialog helps you fill the list of the players online.",
		"~",
		"Options that are based on '/who' will not work if any other command",
		"in " .. KARMA_ITSELF .. " is still pending.",
		"~",
		"Most likely, you have joined the " .. KARMA_CHANNELNAME_LFG .. " channel.",
		"So, start there to look: Choose the channel via the selection box, then",
		"click on the first checkbox. Then click apply or ok. (Apply leaves the dialog",
		"open, so use it if you know that you want to search in multiple ways.)",
		"This will search in the channel. Those players " .. KARMA_ITSELF .. " knows are immediately",
		"filled with the available information, the other entries are grey",
		"in the left list of the LFG-window.",
		"~",
		"Continue with people you hang out in a channel with in a similar fashion.",
		"~",
		"Finally, you can choose the largest fill choice: Check all classes.",
		"That will take quite some time, but afterwards you have lots of names..."
	};

